<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.benyun.mapper.BrandProvinceMapper">
    <resultMap type="com.ruoyi.benyun.entity.BrandProvince" id="BrandProvinceResult">
        <result property="disId" column="dis_id"/>
        <result property="brandId" column="brand_id"/>
        <result property="addrCode" column="addr_code"/>
        <result property="province" column="province"/>
        <result property="lat" column="lat"/>
        <result property="lng" column="lng"/>
        <result property="disCount" column="dis_count"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="searchByBrandId" resultMap="BrandProvinceResult">
        select * from bl_brand_province_distribution where brand_id = #{brandId}
    </select>

</mapper>
